<template>
  <div>
    <header-main :property-keys="['logo', 'announcement']" />
    <banner-with-animation
      v-if="included"
      :actived-tab="activedTab"
    ></banner-with-animation>
    <slot container-class="w-full mx-auto container min-h-[70vh]" />
    <lazy-footer template="common" layout="desktop"/>
  </div>
</template>

<script lang="ts">
import _ from "lodash";
import { defineComponent, computed } from "vue";
import { useRoute } from "vue-router";
import { store } from "@/store";

export default defineComponent({
  name: "App",
  setup() {
    const array: Array<string> = [
      "home",
      "sports",
      "virtualsports",
      "livecasino",
      "games",
      "keno",
      "cockfight",
      "lottery",
      "poker",
      "promotion",
    ];
    const isLoading = computed(() => store.state.isThemePropertyLoading);
    const route = useRoute();
    const tabSelected = computed(() =>
      _.replace(_.replace(route.path.split("/")[1], "-", ""), "/", "")
    );
    const activedTab = computed(() =>
      tabSelected.value !== "" ? tabSelected.value : "Home"
    );
    const included = computed(() =>
      _.includes(array, _.toLower(activedTab.value))
    );

    return {
      included,
      activedTab,
      isLoading,
    };
  },
});
</script>
<style lang="scss">
@import "@/assets/styles/theme.scss";
div.container {
  width: 80rem;
}
</style>
<style lang="postcss">
.btn {
  @apply border-0 inline-block text-center text-white duration-300;
}
</style>
